Bug 989043 - rubygem-nokogiri 1.6.0 is available
Summary: rubygem-nokogiri 1.6.0 is available
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-nokogiri (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On: 989400
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-27 04:23 UTC by Ken Dreyer
Modified: 2013-12-30 07:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-30 07:12:26 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken Dreyer 2013-07-27 04:23:06 UTC
Latest upstream release: 1.6.0 (on 2013-06-08)
Current version in Fedora Rawhide: 1.5.9
URL: https://rubygems.org/gems/nokogiri

Comment 1 Vít Ondruch 2013-07-29 10:04:33 UTC
Mamoru, do we really need mini_portile for nokogiri? I doubt so. According to [1], you should set NOKOGIRI_USE_SYSTEM_LIBRARIES env variable and then a system libxml2 is used, therefore no mini_portile is needed.

Although it probably propagates into .gemspec file and it is listed among runtime dependencies, I consider this bug and that should be clarified with upstream.

Or did I missed something?



[1] https://github.com/sparklemotion/nokogiri/blob/master/ext/nokogiri/extconf.rb#L87

Comment 2 Vít Ondruch 2013-08-13 11:55:54 UTC
Mamoru, could you comment, please?

Comment 3 Mamoru TASAKA 2013-08-13 15:15:03 UTC
I want to make mini_portile passed rather than playing with metadata.

Comment 4 Vít Ondruch 2013-08-13 15:51:39 UTC
I am not suggesting playing with metadata, but resolving this bug with upstream: https://github.com/sparklemotion/nokogiri/issues/956

Comment 5 Mamoru TASAKA 2013-08-13 16:01:12 UTC
So anyway making mini_portile passed is appreciated.

Comment 6 Vít Ondruch 2013-08-29 12:02:43 UTC
Seems that RubyGems upstream will consider "buildtime" dependencies. Mamoru, would you mind to do some remark in the nokogiri's .spec file, that the R: rubygem(mini_portile) might be removed in the future and link there the RubyGems as well as nokogiri's upstream issues? Thanks.

Comment 7 Mamoru TASAKA 2013-12-30 07:12:26 UTC
Well,

- F-21 is now 1.6.1
- F-20 is now 1.6.0, 1.6.1 is in testing
- Runtime dependency for mini_portile is killed.

Closing for this old bug.


Note You need to log in before you can comment on or make changes to this bug.